/******************************************************************************
 * File Name   : MX_Device.h
 * Date        : 04/05/2023 07:21:20
 * Description : STM32Cube MX parameter definitions
 * Note        : This file is generated by STM32CubeMX (DO NOT EDIT!)
 ******************************************************************************/

#ifndef __MX_DEVICE_H
#define __MX_DEVICE_H

/*---------------------------- Clock Configuration ---------------------------*/

#define MX_LSI_VALUE                                32000
#define MX_LSIDIV_VALUE                             32000
#define MX_LSE_VALUE                                32768
#define MX_HSI_VALUE                                16000000
#define MX_HSICalibrationValue                      16
#define MX_HSE_VALUE                                16000000
#define MX_SYSCLKFreq_VALUE                         160000000
#define MX_HCLKFreq_Value                           160000000
#define MX_FCLKCortexFreq_Value                     160000000
#define MX_CortexFreq_Value                         160000000
#define MX_AHBFreq_Value                            160000000
#define MX_APB1Freq_Value                           160000000
#define MX_APB2Freq_Value                           160000000
#define MX_APB1TimFreq_Value                        160000000
#define MX_APB2TimFreq_Value                        160000000
#define MX_ADCFreq_Value                            16000000
#define MX_I2C1Freq_Value                           160000000
#define MX_I2C2Freq_Value                           160000000
#define MX_I2C3Freq_Value                           160000000
#define MX_MSI_VALUE                                4000000
#define MX_SPI1Freq_Value                           160000000
#define MX_SPI2Freq_Value                           160000000
#define MX_SPI3Freq_Value                           160000000
#define MX_USBFreq_Value                            48000000
#define MX_WatchDogFreq_Value                       32000
#define MX_LPTIM1Freq_Value                         4000000
#define MX_LPTIM2Freq_Value                         160000000
#define MX_RTCFreq_Value                            32000
#define MX_MCO1PinFreq_Value                        160000000
#define MX_CRSFreq_Value                            48000000
#define MX_SWPMI1Freq_Value                         4000000
#define MX_SAI1Freq_Value                           258000000
#define MX_SAI2Freq_Value                           258000000
#define MX_LPUART1Freq_Value                        160000000
#define MX_UART4Freq_Value                          160000000
#define MX_UART5Freq_Value                          160000000
#define MX_USART1Freq_Value                         160000000
#define MX_USART2Freq_Value                         160000000
#define MX_USART3Freq_Value                         160000000

/*-------------------------------- NVIC2      --------------------------------*/

#define MX_NVIC2                                    1

/*-------------------------------- PWR        --------------------------------*/

#define MX_PWR                                      1

/*-------------------------------- CORTEX_M33_NS --------------------------------*/

#define MX_CORTEX_M33_NS                            1

/*-------------------------------- SYS        --------------------------------*/

#define MX_SYS                                      1

/*-------------------------------- USART1     --------------------------------*/

#define MX_USART1                                   1

#define MX_USART1_VM                                VM_ASYNC

/* GPIO Configuration */

/* Pin PA9 */
#define MX_USART1_TX_GPIO_ModeDefaultPP             GPIO_MODE_AF_PP
#define MX_USART1_TX_GPIO_Speed                     GPIO_SPEED_FREQ_LOW
#define MX_USART1_TX_Pin                            PA9
#define MX_USART1_TX_GPIOx                          GPIOA
#define MX_USART1_TX_GPIO_PuPd                      GPIO_NOPULL
#define MX_USART1_TX_GPIO_Pin                       GPIO_PIN_9
#define MX_USART1_TX_GPIO_AF                        GPIO_AF7_USART1
#define MX_USART1_TX_PinAttribute                   CortexM33NS

/* Pin PA10 */
#define MX_USART1_RX_GPIO_ModeDefaultPP             GPIO_MODE_AF_PP
#define MX_USART1_RX_GPIO_Speed                     GPIO_SPEED_FREQ_LOW
#define MX_USART1_RX_Pin                            PA10
#define MX_USART1_RX_GPIOx                          GPIOA
#define MX_USART1_RX_GPIO_PuPd                      GPIO_NOPULL
#define MX_USART1_RX_GPIO_Pin                       GPIO_PIN_10
#define MX_USART1_RX_GPIO_AF                        GPIO_AF7_USART1
#define MX_USART1_RX_PinAttribute                   CortexM33NS

/*-------------------------------- GPIO       --------------------------------*/

#define MX_GPIO                                     1

/* GPIO Configuration */

/* Pin PC13 - USER_Button */
#define MX_PC13_Pin                                 PC13
#define MX_PC13_GPIOx                               GPIOC
#define MX_PC13_GPIO_PuPd                           GPIO_NOPULL
#define MX_PC13_GPIO_Pin                            GPIO_PIN_13
#define MX_PC13_GPIO_Mode                           GPIO_MODE_INPUT
#define MX_PC13_PinAttribute                        CortexM33NS

#define MX_USER_Button_Pin                          MX_PC13_Pin
#define MX_USER_Button_GPIOx                        MX_PC13_GPIOx
#define MX_USER_Button_GPIO_PuPd                    MX_PC13_GPIO_PuPd
#define MX_USER_Button_GPIO_Pin                     MX_PC13_GPIO_Pin
#define MX_USER_Button_GPIO_Mode                    MX_PC13_GPIO_Mode
#define MX_USER_Button_PinAttribute                 MX_PC13_PinAttribute

/* Pin PH7 - LED_GREEN */
#define MX_PH7_GPIO_Speed                           GPIO_SPEED_FREQ_HIGH
#define MX_PH7_Pin                                  PH7
#define MX_PH7_GPIOx                                GPIOH
#define MX_PH7_PinState                             GPIO_PIN_SET
#define MX_PH7_GPIO_PuPd                            GPIO_NOPULL
#define MX_PH7_GPIO_Pin                             GPIO_PIN_7
#define MX_PH7_GPIO_ModeDefaultOutputPP             GPIO_MODE_OUTPUT_PP
#define MX_PH7_PinAttribute                         CortexM33NS

#define MX_LED_GREEN_GPIO_Speed                     MX_PH7_GPIO_Speed
#define MX_LED_GREEN_Pin                            MX_PH7_Pin
#define MX_LED_GREEN_GPIOx                          MX_PH7_GPIOx
#define MX_LED_GREEN_PinState                       MX_PH7_PinState
#define MX_LED_GREEN_GPIO_PuPd                      MX_PH7_GPIO_PuPd
#define MX_LED_GREEN_GPIO_Pin                       MX_PH7_GPIO_Pin
#define MX_LED_GREEN_GPIO_ModeDefaultOutputPP       MX_PH7_GPIO_ModeDefaultOutputPP
#define MX_LED_GREEN_PinAttribute                   MX_PH7_PinAttribute

/* Pin PH6 - LED_RED */
#define MX_PH6_GPIO_Speed                           GPIO_SPEED_FREQ_HIGH
#define MX_PH6_Pin                                  PH6
#define MX_PH6_GPIOx                                GPIOH
#define MX_PH6_PinState                             GPIO_PIN_SET
#define MX_PH6_GPIO_PuPd                            GPIO_NOPULL
#define MX_PH6_GPIO_Pin                             GPIO_PIN_6
#define MX_PH6_GPIO_ModeDefaultOutputPP             GPIO_MODE_OUTPUT_PP
#define MX_PH6_PinAttribute                         CortexM33NS

#define MX_LED_RED_GPIO_Speed                       MX_PH6_GPIO_Speed
#define MX_LED_RED_Pin                              MX_PH6_Pin
#define MX_LED_RED_GPIOx                            MX_PH6_GPIOx
#define MX_LED_RED_PinState                         MX_PH6_PinState
#define MX_LED_RED_GPIO_PuPd                        MX_PH6_GPIO_PuPd
#define MX_LED_RED_GPIO_Pin                         MX_PH6_GPIO_Pin
#define MX_LED_RED_GPIO_ModeDefaultOutputPP         MX_PH6_GPIO_ModeDefaultOutputPP
#define MX_LED_RED_PinAttribute                     MX_PH6_PinAttribute

#endif  /* __MX_DEVICE_H */

