# Example Projects

## Event Recorder

This example shows you how to utilize Event Recorder in own application software.
This example project is based on an Arm Cortex-M processors and uses the [**CMSIS-Toolbox**](https://github.com/Open-CMSIS-Pack/cmsis-toolbox) for project build, and runs on [**Arm Virtual Hardware**](https://arm-software.github.io/AVH/main/overview/html/index.html) processor simulation.


Example Project                           | Description
:-----------------------------------------|:--------------------------------
[**Event Statistic**](./EventStatistic)   |	Example that shows the usage of start/stop events for statistical code profiling with the Event Statistics window.


## Fault component

These examples show you how to utilize Fault component in own application software. 


Example Project                                      | Description
:----------------------------------------------------|:--------------------------------
[**VHT_MPS2_Cortex-M7**](./Fault/VHT_MPS2_Cortex-M7) | Shows the usage of Fault component on an Cortex-M7. This example runs on [**Arm Virtual Hardware**](https://arm-software.github.io/AVH/main/overview/html/index.html) processor simulation.
[**B-U585I-IOT02A**](./Fault/B-U585I-IOT02A)         | Shows the usage of Fault component on an Cortex-M33 with TrustZone. This example runs on [**STMicroelectronics B-U585I-IOT02A**](https://www.st.com/en/evaluation-tools/b-u585i-iot02a.html) evaluation board.

